Page 1 of 2 12 LastLast
Results 1 to 10 of 11

Thread: VLC installation: dependencies please help

  1. #1
    Join Date
    Aug 2009
    Posts
    25

    Default VLC installation: dependencies please help

    i've updated my suse version using yast and so i also download vlc using yast software ...

    when installing it using the software management this dependencies are stopping me..and i dont know what this means.

    i'm really new to this linux in fact this is my first installation on linux os.
    can anyone tell me how to fix this please.

    here's the error: dependency conflict.

    Code:
    vlc-1.0.1-2.2.i686 ... cannnot be installed due t..
    there are no installable providers of libstdc ++.so.6(GLIBCXX_3.4.9)for vlc-1.0.1-2.2.i686
    conflict...
    donot install.
    ignore...

  2. #2

    Default Re: VLC installation: dependencies please help

    The error message says there is no software available that provides the correct version of a library, libstdc++, usually part of a package named glibcxx. You would have to install the 3.4.9 version of glibcxx to correct this.

    You may be following the instructions in the following links. I just want to make sure you do know about them.

    There's a very good howto for multimedia application and codec installation written by oldcpu posted here. It's a trusted and tested method for installation of vlc and other audio and video apps and codecs.

    There's also good instructions on managing repositories at this link, written by caf4926.

  3. #3
    Join Date
    Aug 2009
    Posts
    25

    Default Re: VLC installation: dependencies please help

    i probably must upgrade my suse then i am using this 10.2
    how can i upgrade this? i did use the yast but didn't work too.

    can you give me the link please where you think is the easiest.

  4. #4

    Default Re: VLC installation: dependencies please help

    You may have real problems upgrading 10.2 to 11.0 or 11.1 since there were quite many changes introduced then if i were you i'd make a clean install.
    How does a linux geek make love??

    - rtfm; unzip; strip; touch; finger; mount; fsck; more; yes; umount; zip; sleep;

  5. #5

    Default Re: VLC installation: dependencies please help

    I agree with BenderBendingRodriguez. Updating from one version to another is very difficult. A new, clean installation is best.

    Before upgrading, save any important files to a backup! The downloads for 11.1 are available here. The installation guides start at this link.

  6. #6
    Join Date
    Aug 2009
    Posts
    25

    Default Re: VLC installation: dependencies please help

    okay so i should upgrade. i tried downloading the 11.0 version as its stable.

    thanks.

    all i want for now just to play a wmv player.
    please tell me, which of these searched programs can be installed
    without going to edit manually those libs and etc files and i'm really new to this and i'm just trying to learn and the reason infact why i wanted to install wmv player is to view those linux tutorials.

    here's the link that i've tried to search over to a popular site that you probably knew. here's the link.

    please suggest me a player with no installation hassle.

  7. #7

    Default Re: VLC installation: dependencies please help

    Well you just go to software repositories, click add, choose "community repositories" and there you will find packman which has un-retarded packages (suse's are crippled to conform to the "open" in openSUSE yet we still can't call openSUSE GNU/Linux due to some rules ).

    After adding that repo (and refreshing it) install VLC, it plays every format on the earth
    How does a linux geek make love??

    - rtfm; unzip; strip; touch; finger; mount; fsck; more; yes; umount; zip; sleep;

  8. #8
    Join Date
    Jun 2008
    Location
    /dev/swat
    Posts
    1,181

    Default Re: VLC installation: dependencies please help

    Quote Originally Posted by enhu View Post
    okay so i should upgrade. i tried downloading the 11.0 version as its stable.

    thanks.

    all i want for now just to play a wmv player.
    please tell me, which of these searched programs can be installed
    without going to edit manually those libs and etc files and i'm really new to this and i'm just trying to learn and the reason infact why i wanted to install wmv player is to view those linux tutorials.

    here's the link that i've tried to search over to a popular site that you probably knew. here's the link.

    please suggest me a player with no installation hassle.
    I think, you should go with 11.1, not 11.0 because KDE4 was introduced in 11.0, which is pain in neck later. So better to download 11.1 and give it a try.
    Linux[openSUSE, KDE], PHP, MySQL, Wordpress, Tech News, etc :
    http://anl4u.com

  9. #9
    Join Date
    Aug 2009
    Posts
    25

    Default Re: VLC installation: dependencies please help

    i thought installing an os with an odd minor changes or patch such as 1,3,5,7 aren't stable. and those stable versions are 2,4 and so on.

    anyway,thanks. downloading an iso will take 22 hours i have a bad and slow connection. and so it would take about 7 days before my live Cd reaches in my place since its from uk.

    is vlc bundled in the package version 11.1?
    or even just xine or whatever wmv player?

  10. #10
    Join Date
    Jun 2008
    Location
    /dev/swat
    Posts
    1,181

    Default Re: VLC installation: dependencies please help

    VLC is not packaged in 11.1, nor 11.0.
    But you can install it from packman repo after installing openSUSE, which is very task to do.
    You can add repo from yast -> software repositories -> add -> community repos -> Packman.
    Packman repo have all codecs we need to run MP3,MP4, video, Audio etc etc.
    Linux[openSUSE, KDE], PHP, MySQL, Wordpress, Tech News, etc :
    http://anl4u.com

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •